Package org.apache.groovy.parser.antlr4

## Class GroovyParser.ClassOrInterfaceModifierContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceModifierContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`
  Enclosing class:
    GroovyParser

      public static class GroovyParser.ClassOrInterfaceModifierContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.antlr.v4.runtime.Token` | `m` |

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassOrInterfaceModifierContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.antlr.v4.runtime.tree.TerminalNode` | `ABSTRACT()` |
    `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
    `GroovyParser.AnnotationContext` | `annotation()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `DEFAULT()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `FINAL()` |
    `int` | `getRuleIndex()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `PRIVATE()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `PROTECTED()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `PUBLIC()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `STATIC()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `STRICTFP()` |

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### m

          public org.antlr.v4.runtime.Token m

  - ### Constructor Detail

    - #### ClassOrInterfaceModifierContext

          public ClassOrInterfaceModifierContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                                                 int invokingState)

  - ### Method Detail

    - #### annotation

          public GroovyParser.AnnotationContext annotation()

    - #### PUBLIC

          public org.antlr.v4.runtime.tree.TerminalNode PUBLIC()

    - #### PROTECTED

          public org.antlr.v4.runtime.tree.TerminalNode PROTECTED()

    - #### PRIVATE

          public org.antlr.v4.runtime.tree.TerminalNode PRIVATE()

    - #### STATIC

          public org.antlr.v4.runtime.tree.TerminalNode STATIC()

    - #### ABSTRACT

          public org.antlr.v4.runtime.tree.TerminalNode ABSTRACT()

    - #### FINAL

          public org.antlr.v4.runtime.tree.TerminalNode FINAL()

    - #### STRICTFP

          public org.antlr.v4.runtime.tree.TerminalNode STRICTFP()

    - #### DEFAULT

          public org.antlr.v4.runtime.tree.TerminalNode DEFAULT()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### accept

          public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`